#ifndef PARSECQT5PASSWORDDIALOG_H
#define PARSECQT5PASSWORDDIALOG_H

#include "parsec_common_qt5_global.h"

#include <QDialog>
#include <QLineEdit>

namespace ParsecQt5
{
    class PARSEC_COMMON_QT5_EXPORT PasswordDialog : public QDialog
    {
        Q_OBJECT

        public:
            ~PasswordDialog();
            void accept() override;

            static QString getPassword( QWidget *parent = nullptr, const QString &title = QString(), bool confirmMode = true );

        private slots:
            void lineEditTextChanged( const QString & );

        private:
            PasswordDialog( QWidget *parent, const QString &title, bool confirmMode = true );

            QLineEdit *m_passwordLineEdit;
            QLineEdit *m_confirmedPasswordLineEdit;
            QPushButton *m_acceptButton;
            QPushButton *m_rejectButton;
            bool m_confirmMode;
    };
}

#endif // PARSECQT5PASSWORDDIALOG_H
